VectorLinux
August 28, 2014, 07:06:06 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 2 3 [4]
  Print  
Author Topic: Interesting Article. Is Vector safe from this?  (Read 6367 times)
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #45 on: September 09, 2013, 06:04:22 am »

Okay, I'll try 3.5.5 from the repository and see.

I am going to build 3.8 as well.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
MarkGrieveson
Vectorian
****
Posts: 531


« Reply #46 on: September 09, 2013, 06:14:59 am »

Thanks rbistolfi.  

I tried 3.5.5, and the nvidia driver works on it, but it doesn't have the ptrace_scope thingy:

Code:
mark:$ cat /proc/sys/kernel/yama/ptrace_scope
cat: /proc/sys/kernel/yama/ptrace_scope: No such file or directory
vector:/~
mark:$ uname -r
3.5.5
vector:/~

Anyway, I look forward to the 3.8 kernel.  Hopefully that will work out.
Logged

I am using VL7.0 standard with XFCE
sledgehammer
Vectorian
****
Posts: 1421



« Reply #47 on: September 09, 2013, 07:12:20 am »

Rodrigo,

$ modprobe snd_hda_intel worked but $ modprobe snd_usb_audio gives the following error:

Quote
vector:/~
johwhi:$ modprobe snd_usb_audio
WARNING: Error inserting snd_usbmidi_lib (/lib/modules/3.10.10/kernel/sound/usb/snd-usbmidi-lib.ko): Operation not permitted
WARNING: Error inserting snd_hwdep (/lib/modules/3.10.10/kernel/sound/core/snd-hwdep.ko): Operation not permitted
WARNING: Error inserting snd_page_alloc (/lib/modules/3.10.10/kernel/sound/core/snd-page-alloc.ko): Operation not permitted
WARNING: Error inserting snd_timer (/lib/modules/3.10.10/kernel/sound/core/snd-timer.ko): Operation not permitted
WARNING: Error inserting snd_pcm (/lib/modules/3.10.10/kernel/sound/core/snd-pcm.ko): Operation not permitted
FATAL: Error inserting snd_usb_audio (/lib/modules/3.10.10/kernel/sound/usb/snd-usb-audio.ko): Operation not permitted
Logged

VL7.0 xfce4 Samsung RF511
MarkGrieveson
Vectorian
****
Posts: 531


« Reply #48 on: September 09, 2013, 07:19:14 am »

John, I'm guessing that modprobe would need to be run as root.
Logged

I am using VL7.0 standard with XFCE
MarkGrieveson
Vectorian
****
Posts: 531


« Reply #49 on: September 09, 2013, 07:33:02 am »

Found another article that claims the "hand of thief" thing isn't all that dangerous.  Still, better safe than sorry.
Logged

I am using VL7.0 standard with XFCE
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #50 on: September 09, 2013, 10:28:59 am »

3.8 packages are up at vlcore.

Found another article that claims the "hand of thief" thing isn't all that dangerous.  Still, better safe than sorry.

Yep. Its not something to worry a lot about.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
sledgehammer
Vectorian
****
Posts: 1421



« Reply #51 on: September 09, 2013, 12:57:01 pm »

Quote
John, I'm guessing that modprobe would need to be run as root.

Mark, thanks but that didn't help.  Didn't get an error though.

John
Logged

VL7.0 xfce4 Samsung RF511
CrazyDog
Member
*
Posts: 85



« Reply #52 on: September 13, 2013, 02:59:09 am »

Wow, I didn't mean to start such a long thread.  Apparently this trojan is not currently a threat, but hackers are working to make it a reality.  Sorry if I made it seem worse than it is.

Thanks-
CrazyDog
Logged
rbistolfi
Packager
Vectorian
****
Posts: 2282


« Reply #53 on: September 13, 2013, 05:31:58 am »

Wow, I didn't mean to start such a long thread.  Apparently this trojan is not currently a threat, but hackers are working to make it a reality.  Sorry if I made it seem worse than it is.

Thanks-
CrazyDog

Nah, thanks for bringing this into our atention. The restrictions implemented in these settings look sane to me, would be nice to have them in 7.0 for who wants to use them.
Logged

"There is a concept which corrupts and upsets all others. I refer not to Evil, whose limited realm is that of ethics; I refer to the infinite."
Jorge Luis Borges, Avatars of the Tortoise.

--
Jumalauta!!
MarkGrieveson
Vectorian
****
Posts: 531


« Reply #54 on: September 15, 2013, 06:27:32 am »

if nvidia  still can't be installed,
do check more
 here,post your request there...

https://devtalk.nvidia.com/default/board/98/

Thanks, I'm going to try this.
Logged

I am using VL7.0 standard with XFCE
MarkGrieveson
Vectorian
****
Posts: 531


« Reply #55 on: October 05, 2013, 10:18:49 am »

if nvidia  still can't be installed,
do check more
 here,post your request there...

https://devtalk.nvidia.com/default/board/98/

Okay, so I was preparing to once again attempt to install kernel 3.10, and then take note of the issues that occurred when trying to install the nvidia driver as instructed to do on the site specified above by vincent2, but I can't find the kernel packages that were specified in this post.  Do these packages no longer exist?  I also can't find the 3.8 packages to try.
Logged

I am using VL7.0 standard with XFCE
nightflier
Administrator
Vectorian
*****
Posts: 4022



« Reply #56 on: October 05, 2013, 03:24:32 pm »

Packages in the untested repository have a fairly short lifespan and have probably been purged.  Sad
Logged
Pages: 1 2 3 [4]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!